Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

RME 4.0.6 Device Package update failure

Hi,

i have downloaded a lot of new device packages for the RME 4.0.6. If i install this packages i get the following error message.

Installation failed for product [Resource Manager Essentials] with message : com.cisco.nm.xms.psu.packagemgmt.InstallerException: Repository in use.

Another Package Support Updater client session may be modifying device support.

I searched for the psu.lock file but i couldn't find this file. How can i fix this without reinstalling the lms?

André

7 REPLIES
Cisco Employee

Re: RME 4.0.6 Device Package update failure

Check NMSROOT/www/classpath/com/cisco/nm/xms/psu for a lock file. If it exists, delete it.

New Member

Re: RME 4.0.6 Device Package update failure

hi,

there is no lock file. i see that the psu.log is growing and growing, but after some minutes it starts again from 0 kbytes also if i stop the lms daemons ??

andre

Cisco Employee

Re: RME 4.0.6 Device Package update failure

That error can only mean a lock file exists. The only two lock files will be NMSROOT/Psu.Lock or NMSROOT/www/classpath/com/cisco/nm/xms/psu/psu-installer.lock. Post the full psu.log.

New Member

Re: RME 4.0.6 Device Package update failure

Hi,

i have attached the psu.log file. There is no .lock file, i've checked this again. I tried again to update the device packages

After 1 hour i stopped the update.( normaly an update take max. 10 minutes. During the device package update i could see the the psu.log file was going into a loop. It starts at 0 kbytes -> growing to nearly 950kbytes and than it starts again at 0 kbytes

Andre

New Member

Re: RME 4.0.6 Device Package update failure

here the log file

Cisco Employee

Re: RME 4.0.6 Device Package update failure

Your package repository is corrupt. It needs to be recovered. There is a procedure available by contacting TAC. They will send you a package bundle and steps to recover the repository.

New Member

Re: RME 4.0.6 Device Package update failure

Hi Joe,

thank you very much. I will open a service request.

Have a nice day.

André

328
Views
0
Helpful
7
Replies